View article

Article

I'm not allowed to download the Reason Adapted 3.0.4 update. Why?

To be allowed to download the Reason Adapted 3.0.4 update, you must first register a copy of Reason Adapted 3.0 to your user account. Also, the 3.0.4 update is only available to owners of certain Reason Adapted versions.

If you have registered your copy of Reason Adapted 3.0 to your user account but still can't download the 3.0.4 update, you may be experiencing problems with a faulty cookie. Please delete any Propellerhead related cookies, restart your browser and try again.

Was this article helpful?

Email support

There is no email support available for the selection you have made.

Search

Free text search: